package com.lightinit.hsdatashow.mapper;

import com.lightinit.hsdatashow.entity.PerCapitaGdp;
import com.lightinit.hsdatashow.entity.PerCapitaGdpExample;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface PerCapitaGdpMapper {
    long countByExample(PerCapitaGdpExample example);

    int deleteByExample(PerCapitaGdpExample example);

    int deleteByPrimaryKey(Long id);

    int insert(PerCapitaGdp record);

    int insertSelective(PerCapitaGdp record);

    List<PerCapitaGdp> selectByExample(PerCapitaGdpExample example);

    PerCapitaGdp selectByPrimaryKey(Long id);

    int updateByExampleSelective(@Param("record") PerCapitaGdp record, @Param("example") PerCapitaGdpExample example);

    int updateByExample(@Param("record") PerCapitaGdp record, @Param("example") PerCapitaGdpExample example);

    int updateByPrimaryKeySelective(PerCapitaGdp record);

    int updateByPrimaryKey(PerCapitaGdp record);

    List<PerCapitaGdp> selectList(long year);
}